Bug 1348638 - [RFE] - Need default validation for data type on TextBox fields when submitting Dialog (Web UI)
Summary: [RFE] - Need default validation for data type on TextBox fields when submitti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.6.1
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: ui:dialog
Depends On: 1319781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-21 15:59 UTC by John Prause
Modified: 2016-08-19 19:28 UTC (History)
8 users (show)

Fixed In Version: 5.6.1.2
Doc Type: Enhancement
Doc Text:
Clone Of: 1319781
Environment:
Last Closed: 2016-08-18 17:48:12 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
string (98.63 KB, image/png)
2016-08-01 18:43 UTC, Shveta
no flags Details
integer value (67.85 KB, image/png)
2016-08-01 18:44 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Comment 2 CFME Bot 2016-07-13 22:36:04 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b0894e1e50c1d45256d032e890af6ead7dffe4db

commit b0894e1e50c1d45256d032e890af6ead7dffe4db
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 7 17:13:48 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jul 7 17:20:53 2016 -0400

    Initialize data type for TextBox field to be string by default.
    
    Data type for TextBox field was being set to to nil by default, this was causing validation issues when dialog was submitted.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1319781
    https://bugzilla.redhat.com/show_bug.cgi?id=1348638

 app/controllers/miq_ae_customization_controller/dialogs.rb | 5 +++++
 1 file changed, 5 insertions(+)

Comment 4 Shveta 2016-08-01 18:43:36 UTC
Created attachment 1186509 [details]
string

Created a dialog with "Integer" . Proper validation is shown while ordering the catalog Item ..

But when created a dialog with type "String" and provider Integer values while ordering catalog item , validation was not shown .

Comment 5 Shveta 2016-08-01 18:44:07 UTC
Created attachment 1186510 [details]
integer value

Comment 7 Bill Wei 2016-08-08 18:44:36 UTC
Shveta,

For string type you can still type numbers, which are taken as a string, not integer. I think it is OK.

Comment 9 Harpreet Kataria 2016-08-08 19:42:43 UTC
John/Shveta,

Removing need info flag as Bill has already provided information above. Let me know if you need any further info on this.

~Harpreet

Comment 10 Shveta 2016-08-08 19:53:12 UTC
Verified in 5.6.1.0.20160726144018_810a94f

Comment 12 errata-xmlrpc 2016-08-18 17:48:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.